doomlegacy(6)

NAME
Doom Legacy

SYNOPSIS
doomlegacy [-opengl] [-iwad xxx.wad] [-file pwad1.wad [pwad2.wad ...]]

doomlegacy [-h [g|m|c|s|d|D] | --version]

DESCRIPTION
The following information is quoted from Reference Manual:

http://doomlegacy.sourceforge.net/docs/legacy.html

Doom Legacy can play Doom, Boom, Marine's Best Friend (MBF), and Heretic maps. In addition to the original games by id Software and Raven Software, there are hundreds of free, fan-made maps available on the Internet. These maps are typically distributed as PWAD files, which are not fully self-contained. For each game you will also need the corresponding IWAD data file, which contains all the graphics, wall and floor textures, sounds, and music for that game. For example, if you want to play Doom II maps, you'll need the IWAD file doom2.wad, or one of the free replacements. Legacy has implemented the fundamental and de-facto-standard Boom extensions, and the Marine's Best Friend (MBF) extensions. Legacy also has implemented among other things 3D floors, swimmable water and other special effects using extended linedef codes, and supports the FraggleScript scripting language. Legacy includes two different graphics engines, the old Doom software renderer (with many improvements) and an OpenGL-based hardware renderer. The OpenGL renderer is shinier and has fancier effects than the software one, but it does not do everything that the software renderer does. It does have coronas, explosion light, and other light effects that the software renderer does not do. Some wads rely upon violating wad rules to get trick effects. Most rely upon tricking the software renderer into not drawing something. Using those wads with the OpenGL renderer you will see holes in the floor and ceiling, and warning messges about polygons. The first game console we know of was from id Software's game Quake. We have been inspired by it and have tried to implement the same functionality for the benefit of Quake/Doom fans. Since Legacy 1.2, the network part of Doom has been totally rewritten. It now uses a better transfer method for the packets, (which is usually faster), and also implements a basic Client/Server model, where some critical game options are changeable only by the server in multiplayer games. Since the network communication is faster, we have upped the maximum number of players to 32!

OPTIONS

-config file
    Set the configfile to use.
    Default: config.cfg

-deh file [file ...]
    Load one or more DEH (DeHackEd) files or BEX files, which can change monster abilities and game text.

-dehthing name
    Supported DEH translations: legacy, boom, prboom, ee.

-file file [file ...]
    Set PWAD (Patch WAD) files to use.

-game mode
    Forces a particular game mode to be used.
    Examples for mode: doom, doomu, doom2, heretic
    (See Reference Manual for complete table)

-h [section]
    Print help. An optional section can be specified for details.

-home directory
    Home directory location, where your configfiles and savegames are kept.

-iwad file
    Set the main IWAD (Internal WAD) file to use. This also determines the game mode when -game is not used.

-noendtext
    Suppress the game EndText screen, which could disrupt some terminal emulations because of the special character attributes used.

    For encoding of EndText data see config.cfg file entry textout. Supported values: Off, Vanilla, UTF8.

-opengl
    Hardware accelerated rendering using the OpenGL library. Will use hardware acceleration for OpenGL if available. If the video card does not have OpenGL hardware acceleration then it will use the OpenGL emulation in software, which is very slow.

--version
    Print version and build date.

-warp num
    Select the map, start game immediately.
    In DoomII, -warp 13 will goto MAP13.
    In Ultimate Doom, -warp 1 3 will goto E1M3.

See Reference Manual for a complete options list.

ENVIRONMENT

DISPLAY
    X display to use. More information about X can be found in X(7).

DOOMWADDIR
    This environment variable defines a path where WAD files are located.
    The default is /usr/pkg/share/doom.

HOME
    This variable indicates your home directory.

USER
    This variable contains your username, is used as the default value for your player name in multiplayer games.

FILES

~/.doomlegacy/config.cfg
    Default configuration file.

~/.doomlegacy/glconfig.cfg
    Default configuration file for OpenGL mode.

~/.doomlegacy/doomsav*.dsg
    Saved game states.

NOTES
If you get no MIDI music, ensure that SDL_mixer has a working MIDI synthesizer available. If you use timidity, check that instruments are installed (e.g. freepats).

Acknowledgments:

•   Thanks to id Software of course, for creating the greatest game of all time!

•   To Raven Software, for Heretic and Hexen!

•   Chi Hoang for DosDoom which got us started.

•   Bell Kin for porting Doom Legacy to Linux.

•   Stephane Dierickx for the two pictures in the laucher and the help screen of Legacy.

•   Sebastien Bacquet for Qmus2mid.

•   Simon Howard for FraggleScript.

•   TeamTNT for Boom.

•   Steven McGranahan and Robert Baeuml for their large contributions.

•   To all of you who send us ideas and bug reports, thank you!

AUTHORS
Original game by id Software.
Heretic by Raven Software.
Doom Legacy by Fabrice Denis, Boris Pereira and Thierry Van Elsuwe.
Maintained by the Doom Legacy Team since 2001.
Man page for pkgsrc by Michael Baeuerle.

EXAMPLES
Start the shareware Episode 1 of Doom:

    $ doomlegacy

For the following examples you need the original WAD files of the games (copy them to /usr/pkg/share/doom or set DOOMWADDIR to the desired location). Start Doom and use the OpenGL renderer:

    $ doomlegacy -opengl -iwad doom.wad

Start Doom II:

    $ doomlegacy -iwad doom2.wad

Start Sigil (Doom Episode 5) in compatibility mode as Episode 3:

    $ doomlegacy -game doomu -iwad doomu.wad -file SIGIL_COMPAT.wad

Start Heretic:

    $ doomlegacy -iwad heretic.wad

SEE ALSO
timidity(1), X(7)
http://doomlegacy.sourceforge.net/docs/legacy.html